# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.488   -> 1.489  
#	drivers/usb/serial/io_tables.h	1.6     -> 1.7    
#	drivers/usb/serial/safe_serial.c	1.4     -> 1.5    
#	drivers/usb/serial/ftdi_sio.c	1.30    -> 1.31   
#	drivers/usb/serial/ipaq.c	1.12    -> 1.13   
#	drivers/usb/serial/empeg.c	1.25    -> 1.26   
#	drivers/usb/serial/pl2303.c	1.18    -> 1.19   
#	drivers/usb/serial/ir-usb.c	1.15    -> 1.16   
#	drivers/usb/serial/digi_acceleport.c	1.21    -> 1.22   
#	drivers/usb/serial/kl5kusb105.c	1.8     -> 1.9    
#	drivers/usb/serial/belkin_sa.c	1.22    -> 1.23   
#	drivers/usb/serial/keyspan_pda.c	1.19    -> 1.20   
#	drivers/usb/serial/mct_u232.c	1.24    -> 1.25   
#	drivers/usb/serial/keyspan.h	1.10    -> 1.11   
#	drivers/usb/serial/cyberjack.c	1.15    -> 1.16   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/06/14	greg@kroah.com	1.489
# USB serial drivers: changed startup() to attach() due to usbserial api change.
# --------------------------------------------
#
diff -Nru a/drivers/usb/serial/belkin_sa.c b/drivers/usb/serial/belkin_sa.c
--- a/drivers/usb/serial/belkin_sa.c	Fri Jun 14 14:15:21 2002
+++ b/drivers/usb/serial/belkin_sa.c	Fri Jun 14 14:15:21 2002
@@ -129,7 +129,7 @@
 	ioctl:			belkin_sa_ioctl,
 	set_termios:		belkin_sa_set_termios,
 	break_ctl:		belkin_sa_break_ctl,
-	startup:		belkin_sa_startup,
+	attach:			belkin_sa_startup,
 	shutdown:		belkin_sa_shutdown,
 };
 
diff -Nru a/drivers/usb/serial/cyberjack.c b/drivers/usb/serial/cyberjack.c
--- a/drivers/usb/serial/cyberjack.c	Fri Jun 14 14:15:21 2002
+++ b/drivers/usb/serial/cyberjack.c	Fri Jun 14 14:15:21 2002
@@ -81,7 +81,7 @@
 	num_bulk_in:		1,
 	num_bulk_out:		1,
 	num_ports:		1,
-	startup:		cyberjack_startup,
+	attach:		cyberjack_startup,
 	shutdown:		cyberjack_shutdown,
 	open:			cyberjack_open,
 	close:			cyberjack_close,
diff -Nru a/drivers/usb/serial/digi_acceleport.c b/drivers/usb/serial/digi_acceleport.c
--- a/drivers/usb/serial/digi_acceleport.c	Fri Jun 14 14:15:21 2002
+++ b/drivers/usb/serial/digi_acceleport.c	Fri Jun 14 14:15:21 2002
@@ -517,7 +517,7 @@
 	ioctl:				digi_ioctl,
 	set_termios:			digi_set_termios,
 	break_ctl:			digi_break_ctl,
-	startup:			digi_startup,
+	attach:				digi_startup,
 	shutdown:			digi_shutdown,
 };
 
@@ -541,7 +541,7 @@
 	ioctl:				digi_ioctl,
 	set_termios:			digi_set_termios,
 	break_ctl:			digi_break_ctl,
-	startup:			digi_startup,
+	attach:				digi_startup,
 	shutdown:			digi_shutdown,
 };
 
diff -Nru a/drivers/usb/serial/empeg.c b/drivers/usb/serial/empeg.c
--- a/drivers/usb/serial/empeg.c	Fri Jun 14 14:15:21 2002
+++ b/drivers/usb/serial/empeg.c	Fri Jun 14 14:15:21 2002
@@ -122,7 +122,7 @@
 	close:			empeg_close,
 	throttle:		empeg_throttle,
 	unthrottle:		empeg_unthrottle,
-	startup:		empeg_startup,
+	attach:			empeg_startup,
 	shutdown:		empeg_shutdown,
 	ioctl:			empeg_ioctl,
 	set_termios:		empeg_set_termios,
diff -Nru a/drivers/usb/serial/ftdi_sio.c b/drivers/usb/serial/ftdi_sio.c
--- a/drivers/usb/serial/ftdi_sio.c	Fri Jun 14 14:15:21 2002
+++ b/drivers/usb/serial/ftdi_sio.c	Fri Jun 14 14:15:21 2002
@@ -189,7 +189,7 @@
 	ioctl:			ftdi_sio_ioctl,
 	set_termios:		ftdi_sio_set_termios,
 	break_ctl:		ftdi_sio_break_ctl,
-	startup:		ftdi_sio_startup,
+	attach:			ftdi_sio_startup,
         shutdown:               ftdi_sio_shutdown,
 };
 
@@ -210,7 +210,7 @@
 	ioctl:			ftdi_sio_ioctl,
 	set_termios:		ftdi_sio_set_termios,
 	break_ctl:		ftdi_sio_break_ctl,
-	startup:		ftdi_8U232AM_startup,
+	attach:			ftdi_8U232AM_startup,
         shutdown:               ftdi_sio_shutdown,
 };
 
diff -Nru a/drivers/usb/serial/io_tables.h b/drivers/usb/serial/io_tables.h
--- a/drivers/usb/serial/io_tables.h	Fri Jun 14 14:15:21 2002
+++ b/drivers/usb/serial/io_tables.h	Fri Jun 14 14:15:21 2002
@@ -109,7 +109,7 @@
 	close:			edge_close,
 	throttle:		edge_throttle,
 	unthrottle:		edge_unthrottle,
-	startup:		edge_startup,
+	attach:			edge_startup,
 	shutdown:		edge_shutdown,
 	ioctl:			edge_ioctl,
 	set_termios:		edge_set_termios,
@@ -131,7 +131,7 @@
 	close:			edge_close,
 	throttle:		edge_throttle,
 	unthrottle:		edge_unthrottle,
-	startup:		edge_startup,
+	attach:			edge_startup,
 	shutdown:		edge_shutdown,
 	ioctl:			edge_ioctl,
 	set_termios:		edge_set_termios,
@@ -153,7 +153,7 @@
 	close:			edge_close,
 	throttle:		edge_throttle,
 	unthrottle:		edge_unthrottle,
-	startup:		edge_startup,
+	attach:			edge_startup,
 	shutdown:		edge_shutdown,
 	ioctl:			edge_ioctl,
 	set_termios:		edge_set_termios,
@@ -175,7 +175,7 @@
 	close:			edge_close,
 	throttle:		edge_throttle,
 	unthrottle:		edge_unthrottle,
-	startup:		edge_startup,
+	attach:			edge_startup,
 	shutdown:		edge_shutdown,
 	ioctl:			edge_ioctl,
 	set_termios:		edge_set_termios,
diff -Nru a/drivers/usb/serial/ipaq.c b/drivers/usb/serial/ipaq.c
--- a/drivers/usb/serial/ipaq.c	Fri Jun 14 14:15:21 2002
+++ b/drivers/usb/serial/ipaq.c	Fri Jun 14 14:15:21 2002
@@ -99,7 +99,7 @@
 	num_ports:		1,
 	open:			ipaq_open,
 	close:			ipaq_close,
-	startup:		ipaq_startup,
+	attach:			ipaq_startup,
 	shutdown:		ipaq_shutdown,
 	write:			ipaq_write,
 	write_room:		ipaq_write_room,
diff -Nru a/drivers/usb/serial/ir-usb.c b/drivers/usb/serial/ir-usb.c
--- a/drivers/usb/serial/ir-usb.c	Fri Jun 14 14:15:21 2002
+++ b/drivers/usb/serial/ir-usb.c	Fri Jun 14 14:15:21 2002
@@ -139,7 +139,7 @@
 	num_bulk_out:		1,
 	num_ports:		1,
 	set_termios:		ir_set_termios,
-	startup:		ir_startup,
+	attach:			ir_startup,
 	open:			ir_open,
 	close:			ir_close,
 	write:			ir_write,
diff -Nru a/drivers/usb/serial/keyspan.h b/drivers/usb/serial/keyspan.h
--- a/drivers/usb/serial/keyspan.h	Fri Jun 14 14:15:21 2002
+++ b/drivers/usb/serial/keyspan.h	Fri Jun 14 14:15:21 2002
@@ -479,7 +479,7 @@
 	num_bulk_in:		NUM_DONT_CARE,
 	num_bulk_out:		NUM_DONT_CARE,
 	num_ports:		1,
-	startup:		keyspan_fake_startup,
+	attach:			keyspan_fake_startup,
 };
 
 static struct usb_serial_device_type keyspan_1port_device = {
@@ -500,7 +500,7 @@
 	ioctl:			keyspan_ioctl,
 	set_termios:		keyspan_set_termios,
 	break_ctl:		keyspan_break_ctl,
-	startup:		keyspan_startup,
+	attach:			keyspan_startup,
 	shutdown:		keyspan_shutdown,
 };
 
@@ -521,7 +521,7 @@
 	unthrottle:		keyspan_rx_unthrottle,
 	ioctl:			keyspan_ioctl,
 	set_termios:		keyspan_set_termios,
-	startup:		keyspan_startup,
+	attach:			keyspan_startup,
 	shutdown:		keyspan_shutdown,
 };
 
@@ -543,7 +543,7 @@
 	ioctl:			keyspan_ioctl,
 	set_termios:		keyspan_set_termios,
 	break_ctl:		keyspan_break_ctl,
-	startup:		keyspan_startup,
+	attach:			keyspan_startup,
 	shutdown:		keyspan_shutdown,
 };
 
diff -Nru a/drivers/usb/serial/keyspan_pda.c b/drivers/usb/serial/keyspan_pda.c
--- a/drivers/usb/serial/keyspan_pda.c	Fri Jun 14 14:15:21 2002
+++ b/drivers/usb/serial/keyspan_pda.c	Fri Jun 14 14:15:21 2002
@@ -811,7 +811,7 @@
 	num_bulk_in:		NUM_DONT_CARE,
 	num_bulk_out:		NUM_DONT_CARE,
 	num_ports:		1,
-	startup:		keyspan_pda_fake_startup,
+	attach:			keyspan_pda_fake_startup,
 };
 #endif
 
@@ -824,7 +824,7 @@
 	num_bulk_in:		NUM_DONT_CARE,
 	num_bulk_out:		NUM_DONT_CARE,
 	num_ports:		1,
-	startup:		keyspan_pda_fake_startup,
+	attach:			keyspan_pda_fake_startup,
 };
 #endif
 
@@ -848,7 +848,7 @@
 	ioctl:			keyspan_pda_ioctl,
 	set_termios:		keyspan_pda_set_termios,
 	break_ctl:		keyspan_pda_break_ctl,
-	startup:		keyspan_pda_startup,
+	attach:			keyspan_pda_startup,
 	shutdown:		keyspan_pda_shutdown,
 };
 
diff -Nru a/drivers/usb/serial/kl5kusb105.c b/drivers/usb/serial/kl5kusb105.c
--- a/drivers/usb/serial/kl5kusb105.c	Fri Jun 14 14:15:21 2002
+++ b/drivers/usb/serial/kl5kusb105.c	Fri Jun 14 14:15:21 2002
@@ -136,7 +136,7 @@
 	ioctl:		     klsi_105_ioctl,
 	set_termios:	     klsi_105_set_termios,
 	/*break_ctl:	     klsi_105_break_ctl,*/
-	startup:	     klsi_105_startup,
+	attach:		     klsi_105_startup,
 	shutdown:	     klsi_105_shutdown,
 	throttle:	     klsi_105_throttle,
 	unthrottle:	     klsi_105_unthrottle,
diff -Nru a/drivers/usb/serial/mct_u232.c b/drivers/usb/serial/mct_u232.c
--- a/drivers/usb/serial/mct_u232.c	Fri Jun 14 14:15:21 2002
+++ b/drivers/usb/serial/mct_u232.c	Fri Jun 14 14:15:21 2002
@@ -158,7 +158,7 @@
 	ioctl:		     mct_u232_ioctl,
 	set_termios:	     mct_u232_set_termios,
 	break_ctl:	     mct_u232_break_ctl,
-	startup:	     mct_u232_startup,
+	attach:		     mct_u232_startup,
 	shutdown:	     mct_u232_shutdown,
 };
 
diff -Nru a/drivers/usb/serial/pl2303.c b/drivers/usb/serial/pl2303.c
--- a/drivers/usb/serial/pl2303.c	Fri Jun 14 14:15:21 2002
+++ b/drivers/usb/serial/pl2303.c	Fri Jun 14 14:15:21 2002
@@ -134,7 +134,7 @@
 	read_bulk_callback:	pl2303_read_bulk_callback,
 	read_int_callback:	pl2303_read_int_callback,
 	write_bulk_callback:	pl2303_write_bulk_callback,
-	startup:		pl2303_startup,
+	attach:			pl2303_startup,
 	shutdown:		pl2303_shutdown,
 };
 
diff -Nru a/drivers/usb/serial/safe_serial.c b/drivers/usb/serial/safe_serial.c
--- a/drivers/usb/serial/safe_serial.c	Fri Jun 14 14:15:21 2002
+++ b/drivers/usb/serial/safe_serial.c	Fri Jun 14 14:15:21 2002
@@ -409,7 +409,7 @@
 	write:			safe_write,
 	write_room:		safe_write_room,
 	read_bulk_callback:	safe_read_bulk_callback,
-	startup:		safe_startup,
+	attach:			safe_startup,
 };
 
 static int __init safe_init (void)
